Customer Accounts (Early Access)
Update Customer Account
Update a specified Customer Account’s business details, such as EIN, address, phone, or status.
PATCH
/
customer-accounts
/
{id}
Update Customer Account
curl --request PATCH \
--url https://api.zeal.com/customer-accounts/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"companyID": "dzxzll3b45rtrtrtad41c98bbc2b4d566388a44",
"code": "customer-code-2"
}
'import requests
url = "https://api.zeal.com/customer-accounts/{id}"
payload = {
"companyID": "dzxzll3b45rtrtrtad41c98bbc2b4d566388a44",
"code": "customer-code-2"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({companyID: 'dzxzll3b45rtrtrtad41c98bbc2b4d566388a44', code: 'customer-code-2'})
};
fetch('https://api.zeal.com/customer-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{}Authorizations
Path Parameters
Body
application/json
ID of the Company.
EIN of the customer account
Federal tax classification of the customer account entity
Available options:
ccorp, corp, estate, foreign_entity, llc, llp, lp, nonprofit, partnership, scheme, scorp, soleprop, trust. Phone number of the customer account
Business email of the customer account
Street address of the customer account
City of the customer account
State of the customer account
Zip code of the customer account
Custom code to be associated with the customer code.
Status of the customer account
Available options:
live Business owner of the customer account
Show child attributes
Show child attributes
Response
200
The response is of type object.
⌘I
Update Customer Account
